%{?nodejs_find_provides_and_requires}

%global packagename json3
%global enable_tests 0

Name:		nodejs-json3
Version:	3.3.2
Release:	%mkrel 3
Summary:	A modern JSON implementation compatible with nearly all JavaScript platforms

License:	MIT
URL:		https://github.com/bestiejs/json3
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source10:	dl-tests.sh
# The tests in master are much better because they get rid of the "vendor"
# directory and use devDependencies instead
Source11:	https://raw.githubusercontent.com/bestiejs/json3/master/test/test_json3.js
Group:          Development/Other

BuildArch:	noarch

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	npm(spec)
%endif

%description
A modern JSON implementation compatible with nearly all JavaScript platforms.


%prep
%autosetup -n package
# setup the tests
%autosetup -T -D -a 1 -n package
cp -p %{SOURCE11} test/test_json3.js

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json lib/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
mkdir node_modules
pushd node_modules
ln -s %{nodejs_sitelib}/spec
popd
%__nodejs test/test_*.js
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc README.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}



%changelog
* Fri Jun 27 2025 umeabot <umeabot> 3.3.2-3.mga10
+ Revision: 2209388
- Mageia 10 Mass Rebuild

* Tue Mar 22 2022 umeabot <umeabot> 3.3.2-2.mga9
+ Revision: 1820103
- Mageia 9 Mass Rebuild

* Thu Jun 11 2020 joequant <joequant> 3.3.2-1.mga8
+ Revision: 1592171
- imported package nodejs-json3


* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 3.3.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 3.3.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 3.3.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.3.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.3.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Sep 20 2017 Jared Smith <jsmith@fedoraproject.org> - 3.3.2-1
- Initial packaging
